Shipping
Get shipping zones
The store's delivery zones and their prices.
GET
https://elmatajer.com/api/v1/vendor/shippingPermission:
shipping.readRequest
curl "https://elmatajer.com/api/v1/vendor/shipping" \
-H "Api-Key: YOUR_API_KEY" \
-H "Accept: application/json"
const res = await fetch("https://elmatajer.com/api/v1/vendor/shipping", {
method: "GET",
headers: {
"Api-Key": process.env.ELMATAJER_API_KEY,
"Accept": "application/json"
}
});
const data = await res.json();
$ch = curl_init("https://elmatajer.com/api/v1/vendor/shipping");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Api-Key: " . getenv('ELMATAJER_API_KEY'), "Accept: application/json"],
]);
$data = json_decode(curl_exec($ch), true);
Response 200
{
"status": "ok",
"data": {
"zones": [
{
"id": 20,
"name": "Cairo",
"charge": 35,
"is_active": true
},
{
"id": 21,
"name": "Giza",
"charge": 40,
"is_active": true
}
],
"free_shipping_amount": 1000,
"currency_code": "EGP"
}
}